List pagination

When getting a list of resources (for example GET /company/quotes), you can specify the query parameters :

  • limit (default 50) : The maximum number of results to retrieve
  • offset (default 0) : The index of the first result to retrieve

Results are given in the body, and a header Range gives you the pagination, with the format Range: {start} - {end} / {count}, where :

  • {start} is the index of the first result
  • {end} is the index of the last result
  • {count} is the total number of results

For example, if you receive the header Range: 15 - 74 / 100, it means that you got 50 results, from indexes 15 to 74 included, and the request could return 100 results.

The header Range is depending on the query string parameters : 'filter', 'offset', 'limit', 'ifModifiedSince'